org.apache.poi.ss.usermodel

## Enum IndexedColors

- java.lang.Object
- - java.lang.Enum<IndexedColors>
  - - org.apache.poi.ss.usermodel.IndexedColors

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexedColors>

      public enum IndexedColors
      extends java.lang.Enum<IndexedColors>

  A deprecated indexing scheme for colours that is still required for some records, and for backwards compatibility with OLE2 formats.

  Each element corresponds to a color index (zero-based). When using the default indexed color palette, the values are not written out, but instead are implied. When the color palette has been modified from default, then the entire color palette is used.

  Author:
    Yegor Kozlov

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AQUA`
    `AUTOMATIC`
    `BLACK`
    `BLACK1`
    `BLUE`
    `BLUE_GREY`
    `BLUE1`
    `BRIGHT_GREEN`
    `BRIGHT_GREEN1`
    `BROWN`
    `CORAL`
    `CORNFLOWER_BLUE`
    `DARK_BLUE`
    `DARK_GREEN`
    `DARK_RED`
    `DARK_TEAL`
    `DARK_YELLOW`
    `GOLD`
    `GREEN`
    `GREY_25_PERCENT`
    `GREY_40_PERCENT`
    `GREY_50_PERCENT`
    `GREY_80_PERCENT`
    `INDIGO`
    `LAVENDER`
    `LEMON_CHIFFON`
    `LIGHT_BLUE`
    `LIGHT_CORNFLOWER_BLUE`
    `LIGHT_GREEN`
    `LIGHT_ORANGE`
    `LIGHT_TURQUOISE`
    `LIGHT_TURQUOISE1`
    `LIGHT_YELLOW`
    `LIME`
    `MAROON`
    `OLIVE_GREEN`
    `ORANGE`
    `ORCHID`
    `PALE_BLUE`
    `PINK`
    `PINK1`
    `PLUM`
    `RED`
    `RED1`
    `ROSE`
    `ROYAL_BLUE`
    `SEA_GREEN`
    `SKY_BLUE`
    `TAN`
    `TEAL`
    `TURQUOISE`
    `TURQUOISE1`
    `VIOLET`
    `WHITE`
    `WHITE1`
    `YELLOW`
    `YELLOW1`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `index`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexedColors` | `fromInt(int index)`
    `short` | `getIndex()` Returns index of this color
    `static IndexedColors` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexedColors[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACK1

          public static final IndexedColors BLACK1

    - #### WHITE1

          public static final IndexedColors WHITE1

    - #### RED1

          public static final IndexedColors RED1

    - #### BRIGHT_GREEN1

          public static final IndexedColors BRIGHT_GREEN1

    - #### BLUE1

          public static final IndexedColors BLUE1

    - #### YELLOW1

          public static final IndexedColors YELLOW1

    - #### PINK1

          public static final IndexedColors PINK1

    - #### TURQUOISE1

          public static final IndexedColors TURQUOISE1

    - #### BLACK

          public static final IndexedColors BLACK

    - #### WHITE

          public static final IndexedColors WHITE

    - #### RED

          public static final IndexedColors RED

    - #### BRIGHT_GREEN

          public static final IndexedColors BRIGHT_GREEN

    - #### BLUE

          public static final IndexedColors BLUE

    - #### YELLOW

          public static final IndexedColors YELLOW

    - #### PINK

          public static final IndexedColors PINK

    - #### TURQUOISE

          public static final IndexedColors TURQUOISE

    - #### DARK_RED

          public static final IndexedColors DARK_RED

    - #### GREEN

          public static final IndexedColors GREEN

    - #### DARK_BLUE

          public static final IndexedColors DARK_BLUE

    - #### DARK_YELLOW

          public static final IndexedColors DARK_YELLOW

    - #### VIOLET

          public static final IndexedColors VIOLET

    - #### TEAL

          public static final IndexedColors TEAL

    - #### GREY_25_PERCENT

          public static final IndexedColors GREY_25_PERCENT

    - #### GREY_50_PERCENT

          public static final IndexedColors GREY_50_PERCENT

    - #### CORNFLOWER_BLUE

          public static final IndexedColors CORNFLOWER_BLUE

    - #### MAROON

          public static final IndexedColors MAROON

    - #### LEMON_CHIFFON

          public static final IndexedColors LEMON_CHIFFON

    - #### LIGHT_TURQUOISE1

          public static final IndexedColors LIGHT_TURQUOISE1

    - #### ORCHID

          public static final IndexedColors ORCHID

    - #### CORAL

          public static final IndexedColors CORAL

    - #### ROYAL_BLUE

          public static final IndexedColors ROYAL_BLUE

    - #### LIGHT_CORNFLOWER_BLUE

          public static final IndexedColors LIGHT_CORNFLOWER_BLUE

    - #### SKY_BLUE

          public static final IndexedColors SKY_BLUE

    - #### LIGHT_TURQUOISE

          public static final IndexedColors LIGHT_TURQUOISE

    - #### LIGHT_GREEN

          public static final IndexedColors LIGHT_GREEN

    - #### LIGHT_YELLOW

          public static final IndexedColors LIGHT_YELLOW

    - #### PALE_BLUE

          public static final IndexedColors PALE_BLUE

    - #### ROSE

          public static final IndexedColors ROSE

    - #### LAVENDER

          public static final IndexedColors LAVENDER

    - #### TAN

          public static final IndexedColors TAN

    - #### LIGHT_BLUE

          public static final IndexedColors LIGHT_BLUE

    - #### AQUA

          public static final IndexedColors AQUA

    - #### LIME

          public static final IndexedColors LIME

    - #### GOLD

          public static final IndexedColors GOLD

    - #### LIGHT_ORANGE

          public static final IndexedColors LIGHT_ORANGE

    - #### ORANGE

          public static final IndexedColors ORANGE

    - #### BLUE_GREY

          public static final IndexedColors BLUE_GREY

    - #### GREY_40_PERCENT

          public static final IndexedColors GREY_40_PERCENT

    - #### DARK_TEAL

          public static final IndexedColors DARK_TEAL

    - #### SEA_GREEN

          public static final IndexedColors SEA_GREEN

    - #### DARK_GREEN

          public static final IndexedColors DARK_GREEN

    - #### OLIVE_GREEN

          public static final IndexedColors OLIVE_GREEN

    - #### BROWN

          public static final IndexedColors BROWN

    - #### PLUM

          public static final IndexedColors PLUM

    - #### INDIGO

          public static final IndexedColors INDIGO

    - #### GREY_80_PERCENT

          public static final IndexedColors GREY_80_PERCENT

    - #### AUTOMATIC

          public static final IndexedColors AUTOMATIC

  - ### Field Detail

    - #### index

          public final short index

  - ### Method Detail

    - #### values

          public static IndexedColors[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexedColors c : IndexedColors.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexedColors valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIndex

          public short getIndex()

      Returns index of this color
      Returns:
        index of this color

    - #### fromInt

          public static IndexedColors fromInt(int index)

      Parameters:
        `index` - the index of the color
      Returns:
        the corresponding IndexedColors enum
      Throws:
        `java.lang.IllegalArgumentException` - if index is not a valid IndexedColors
      Since:
        3.15-beta2

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.